<div class="card">
  <div class="card-header">
    <div class="d-flex align-items-center">
      <div>
        <button mat-icon-button color="primary" [routerLink]="['/']">
          <mat-icon>arrow_back</mat-icon>
        </button>
      </div>
      <div class="card-title">
        @switch (type) { @case ('add') {
        <h2>Agregar Adquisicion</h2>
        } @case ('edit') {
        <h2>Editar Adquisicion</h2>
        } @default {
        <h2>Ver Adquisicion</h2>
        } }
      </div>
    </div>
  </div>
  <div class="card-body">
    <form [formGroup]="formGroup" (ngSubmit)="saveForm()">
      <div class="row">
        <div class="col-12 mb-3">
          <label class="form-label">Presupuesto:</label>
          <input
            type="number"
            formControlName="presupuesto"
            class="form-control"
            min="0"
          />
          @if (formGroup.get('presupuesto')?.touched &&
          formGroup.get('presupuesto')?.dirty &&
          formGroup.get('presupuesto')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
        <div class="col-12 mb-3">
          <label class="form-label">Unidad:</label>
          <input type="text" formControlName="unidad" class="form-control" />
          @if (formGroup.get('unidad')?.touched &&
          formGroup.get('unidad')?.dirty && formGroup.get('unidad')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
        <div class="col-12 mb-3">
          <label class="form-label">Tipo de Bien o Servicio:</label>
          <input type="text" formControlName="tipo" class="form-control" />
          @if (formGroup.get('tipo')?.touched && formGroup.get('tipo')?.dirty &&
          formGroup.get('tipo')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
      </div>
      <div class="row mb-3">
        <div class="col-md-4 col-sm-12 mb-0 mb-sm-3">
          <label class="form-label">Cantidad:</label>
          <input
            type="number"
            formControlName="catidad"
            class="form-control"
            min="0"
            (ngModelChange)="calculateTotal()"
          />
          @if (formGroup.get('catidad')?.touched &&
          formGroup.get('catidad')?.dirty && formGroup.get('catidad')?.invalid)
          {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
        <div class="col-md-4 col-sm-12 mb-0 mb-sm-3">
          <label class="form-label">Valor unitario:</label>
          <input
            type="number"
            formControlName="valorUnit"
            class="form-control"
            min="0"
            (ngModelChange)="calculateTotal()"
          />
          @if (formGroup.get('valorUnit')?.touched &&
          formGroup.get('valorUnit')?.dirty &&
          formGroup.get('valorUnit')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
        <div class="col-md-4 col-sm-12 mb-0 mb-sm-3">
          <label class="form-label">Total:</label>
          <input
            type="number"
            formControlName="valorTotal"
            class="form-control"
            readonly
          />
        </div>
      </div>
      <div class="row">
        <div class="col-12 mb-3">
          <label class="form-label">Fecha de adquisicion:</label>
          <input
            type="date"
            formControlName="fechaAdquisicion"
            class="form-control"
          />
          @if (formGroup.get('fechaAdquisicion')?.touched &&
          formGroup.get('fechaAdquisicion')?.dirty &&
          formGroup.get('fechaAdquisicion')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
        <div class="col-12 mb-3">
          <label class="form-label">Proveedor:</label>
          <input type="text" formControlName="proveedor" class="form-control" />
          @if (formGroup.get('proveedor')?.touched &&
          formGroup.get('proveedor')?.dirty &&
          formGroup.get('proveedor')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
        <div class="col-12 mb-3">
          <label class="form-label">Documentacion:</label>
          <textarea
            formControlName="documentacion"
            class="form-control"
          ></textarea>
          @if (formGroup.get('documentacion')?.touched &&
          formGroup.get('documentacion')?.dirty &&
          formGroup.get('documentacion')?.invalid) {
          <div class="invalid-feedback">Campo requeirdo.</div>
          }
        </div>
      </div>
      @if (type !== 'view') {
      <div class="row">
        <div class="col-12 text-end">
          <button mat-flat-button color="accent">
            {{ type == "add" ? "Guardar" : "Actualizar" }}
          </button>
        </div>
      </div>
      }
    </form>
  </div>
</div>
